<?php

/**
 * 
 * All hardcoded icons were added to the options. This migration adds defaults.
 * for the new options.
 *
 */
class Intense_Migration_2_5_5 extends Intense_Migration {
	public function up(){
		parent::up();	

		$intense_visions_options = get_option( 'intense_visions_options' );	

		$intense_visions_options["intense_quote_left_icon"] = array(
			'source' => 'font-awesome',
			'type' => 'quote-left'
		);
		$intense_visions_options["intense_quote_right_icon"] = array(
			'source' => 'font-awesome',
			'type' => 'quote-right'
		);
		$intense_visions_options["intense_play_icon"] = array(
			'source' => 'font-awesome',
			'type' => 'play'
		);
		$intense_visions_options["intense_pause_icon"] = array(
			'source' => 'font-awesome',
			'type' => 'pause'
		);
		$intense_visions_options["intense_date_icon"] = array(
			'source' => 'font-awesome',
			'type' => 'calendar'
		);
		$intense_visions_options["intense_category_icon"] = array(
			'source' => 'font-awesome',
			'type' => 'book'
		);
		$intense_visions_options["intense_tag_icon"] = array(
			'source' => 'font-awesome',
			'type' => 'tag'
		);
		$intense_visions_options["intense_comment_icon"] = array(
			'source' => 'font-awesome',
			'type' => 'comments'
		);
		$intense_visions_options["intense_user_icon"] = array(
			'source' => 'font-awesome',
			'type' => 'user'
		);
		$intense_visions_options["intense_photo_icon"] = array(
			'source' => 'font-awesome',
			'type' => 'picture'
		);
		$intense_visions_options["intense_previous_icon"] = array(
			'source' => 'font-awesome',
			'type' => 'angle-left'
		);
		$intense_visions_options["intense_next_icon"] = array(
			'source' => 'font-awesome',
			'type' => 'angle-right'
		);
		$intense_visions_options["intense_expand_icon"] = array(
			'source' => 'font-awesome',
			'type' => 'angle-up'
		);
		$intense_visions_options["intense_collapse_icon"] = array(
			'source' => 'font-awesome',
			'type' => 'angle-down'
		);
		$intense_visions_options["intense_fullscreen_icon"] = array(
			'source' => 'foundation',
			'type' => 'fi-arrows-out'
		);		

		update_option( 'intense_visions_options', $intense_visions_options );
	}

	public function down() {
		parent::down();		
	}
}